Bug 26425 - Fix history.txt once and for all
Summary: Fix history.txt once and for all
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
: 25442 (view as bug list)
Depends on: 21662
Blocks: 25700
  Show dependency treegraph
 
Reported: 2020-09-10 14:17 UTC by Jonathan Druart
Modified: 2020-11-02 14:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26425: Add 2 chars for version (65.47 KB, patch)
2020-09-10 14:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26425: Update history.txt (134.93 KB, patch)
2020-09-10 14:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26425: Manual changes (51.91 KB, patch)
2020-09-11 07:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26425: Update history.txt (123.84 KB, patch)
2020-09-11 07:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26425: Manual changes (51.97 KB, patch)
2020-09-29 09:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26425: Update history.txt (123.91 KB, patch)
2020-09-29 09:21 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-09-10 14:17:37 UTC
On bug 21662, there was a commit "Use commitdates over RM dates" stated:
"""
The manual maintanence of the history.txt file lead to some
discrepancies in first commit dates for many contributors. After a
discussion regarding the automation proccess (and with some of the
contributors who would be most heavily affected) we decided to update
the history file on mass to match the commite dates found in the
repository."
"""

But we don't have all the epoch matching the commit dates.
Also, the version must be \d{1,2}.\d{2}\.\d{2}: minor and release must be displayed on 2 chars
Comment 1 Jonathan Druart 2020-09-10 14:23:51 UTC
Created attachment 109853 [details] [review]
Bug 26425: Add 2 chars for version

This is a patch to catch with the correct format, and make the
get_developers release-tools script works correctly
Comment 2 Jonathan Druart 2020-09-10 14:23:55 UTC
Created attachment 109854 [details] [review]
Bug 26425: Update history.txt

With the modifications brought by
https://gitlab.com/koha-community/release-tools/-/issues/18
Comment 3 Jonathan Druart 2020-09-11 07:43:49 UTC
Created attachment 109887 [details] [review]
Bug 26425: Manual changes

Patches will be squashed when pushed.
Here the changes are done manually, we add the missing 0 for the
releases after 3.00.00 (with alpha, beta, etc)
And we remove all the laters, that will added automatically by the
release script
Comment 4 Jonathan Druart 2020-09-11 07:43:55 UTC
Created attachment 109888 [details] [review]
Bug 26425: Update history.txt

With the modifications brought by
https://gitlab.com/koha-community/release-tools/-/issues/18

After the manual changes we can run the script with the 3 commits from
the issue #18 of release-tools.

* Add missing whitespace to align the dates
* Add all the releases (from the tag list) after 3.00.00

There is no change in the developers  numbering, neither in the wording.
Comment 5 Martin Renvoize 2020-09-29 09:21:52 UTC
Created attachment 110894 [details] [review]
Bug 26425: Manual changes

Patches will be squashed when pushed.
Here the changes are done manually, we add the missing 0 for the
releases after 3.00.00 (with alpha, beta, etc)
And we remove all the laters, that will added automatically by the
release script

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-09-29 09:21:57 UTC
Created attachment 110895 [details] [review]
Bug 26425: Update history.txt

With the modifications brought by
https://gitlab.com/koha-community/release-tools/-/issues/18

After the manual changes we can run the script with the 3 commits from
the issue #18 of release-tools.

* Add missing whitespace to align the dates
* Add all the releases (from the tag list) after 3.00.00

There is no change in the developers  numbering, neither in the wording.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-09-29 09:22:45 UTC
Discussed and agreed on IRC.. I'm happy with these patches moving us to a more consistent state :)

Signing off.
Comment 8 Martin Renvoize 2020-09-29 09:23:27 UTC
As basically a string patch, and having dug deeply into the history of the project myself a few times on route to this point.. I think we can safely call it a PQA too :)
Comment 9 Jonathan Druart 2020-10-01 09:45:37 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Jonathan Druart 2020-10-12 08:20:44 UTC
*** Bug 25442 has been marked as a duplicate of this bug. ***
Comment 11 Lucas Gass 2020-10-20 17:33:52 UTC
enhancement will not be backported to 20.05.x